<?php
	$phase='';

	// on récupére soit les données du formulaire, soit les données de l'url (url premier passage, formulaire au 2ème passage)
	$sBeginDate  = isset($this->request->data->DATE_BEG)?$this->request->data->DATE_BEG : $this->request->params[0]; 
	$sEndDate	 = isset($this->request->data->DATE_END)?$this->request->data->DATE_END : $this->request->params[1]; 
	
	$page = isset($this->request->params[2])?$this->request->params[2] : 1; 
	// $nb_aff_page     = $_SESSION['s_nb_aff_page'];
	// $nb_res_par_page = $_SESSION['s_nb_res_par_page'];

	echo "<center><h1>".decode_lng_text("IDX_DATES_TITLE") ."</h1></center>";
	
	// lecture d'un tableau des pays dont les lignes sont déjà prêtes pour être affichées
	

		// tableau du filtrage
	// echo "<div id=panel>";
	echo "<form action=".ROUTER::url('dates/detail_date')." method=post>";
	//echo "<input type=hidden name=FAMILY value='".$_SESSION['FAMILY']."'>";
	echo "<center>";
	echo "<table border=1><tr>";
	echo "<td>".decode_lng_text('DETAIL_DATE_BEGIN')."&nbsp;";
	echo "<input type=text name=DATE_BEG value=".$sBeginDate." ></td>";
	//echo $this->Form->input('DATE_BEG',decode_lng_text('DETAIL_DATE_BEGIN'),array('value'=>$sBeginDate));
	echo "</td>";
	echo "<td>".decode_lng_text('DETAIL_DATE_END')."&nbsp;";
	//echo $this->Form->input('DATE_END',decode_lng_text('DETAIL_DATE_END'),array('value'=>$sEndDate));
	echo "<input type=text name=DATE_END value=".$sEndDate."></td>";
	echo "<td><input type=submit value=".decode_lng_text('PRIVATE_ENTER')."></td>";
	echo "</tr></table></form>";
	echo "</center>";
	echo "</div>";
	

	echo "<table>";
	
	/*
	* affichages des erreurs s'il y en a
	*/

	echo "<table border=0>";

	foreach ($this->Form->errors as $k=>$error) {
		if (!empty($error)) {
			echo "<tr><td colspan='3' style='color:red;'>".$error."</td></tr>";
			$phase='0';
		}
	}
	echo "</table></br>";
	

	// fin de l'affichages des erreurs

	
/*
*     Affichage du résultat
*/

	if ($phase=='0') { return; }

	echo "<div> <img src='".IMAGES."ligne_orange.png' width=100% height='2px'></div>";
	$nb_res_max = count($_SESSION['t_result_out']);
	if ($nb_res_max==0) 	{
		echo decode_lng_text("BIRTHDAY_NONE");
	}
	else {
		
		echo "<p style='color:#cc0000'><b><i><color=red>". $nb_res_max.' '.display_lng_text("SEARCH_FOUND_RESULTS")."</i></b></p>";
		//on test le parametre de limite
		//if (empty($page)) { $page=0; }
		
	

			// on determine le nombre de resultats vus par page
			if (empty($nb_res_par_page)) { 
				$nb_res_par_page = '30';
			}
		// mise en place de la pagination		
		// calcul des limites basse et haute d'affichage des résultats
			$total_pages = ceil($nb_res_max/$nb_res_par_page);
			$i_deb = ($page - 1) * $nb_res_par_page;
			$i_fin = $i_deb + $nb_res_par_page;
			if ($i_fin > $nb_res_max) {
				$i_fin = $nb_res_max;
			}
			


			if ($page == '-1') {
				$i_deb = 0;
				$i_fin = $nb_res_max;
				echo display_lng_text("SEARCH_RESULTS_NUMBERS")."&nbsp";
				echo $i_deb + 1 ." - ".$i_fin."</br>";
				echo "<a href=".Router::url('dates/detail_date/'.$sBeginDate.'/'.$sEndDate.'/1').">";
				echo display_lng_text("SEARCH_WITH_LIMITS");
				echo "</a></br></br>";
				
			}
			else {
				echo display_lng_text("SEARCH_RESULTS_NUMBERS")."&nbsp";
				echo $i_deb + 1 ." - ".$i_fin."<br></br>";
				$reload = "Dates/detail_date/".$sBeginDate."/".$sEndDate."/";

				
					

				if ($total_pages > 1) {
					echo '<div class="pagination"><ul>';
					echo Pagination($reload, $page, $total_pages);
				
				
					echo "</ul></div>"; 
				
					// lien pour ne pas mettre de limites de résultats
					echo "<a href=".Router::url('dates/detail_date/'.$sBeginDate.'/'.$sEndDate.'/-1').">";
					echo display_lng_text("SEARCH_NO_LIMITS");
					echo "</a></br></br>";
				}
			}
		// fin de la pagination	

	
		echo "<table>";
		$j=1;
		$row_out=array();

		for($i=$i_deb;$i<$i_fin;$i++) {
			$row_out=$_SESSION['t_result_out'][$i];
			//var_dump($row_out);


			// Affichage de la personne

			echo "<tr><th align=right>".decode_date($row_out['date'])."</th>";
			echo "<td>".$row_out['acte']." </th>";
			echo $row_out['nom_indiv'];

			//affichage du conjoint
				if($row_out['nom_compagne'] != '') {
					echo " ".decode_lng_text("GEDTAG_AND")." ".$row_out['nom_compagne'];

				}
			}
	}
	echo "</table>";
	
	echo "</br><div> <img src='".IMAGES."ligne_orange.png' width=100% height='2px'></div>";

?>